library appstitch_auth;

import 'dart:async';

import 'package:appstitch_core/core.dart';
import './types.dart';

export './types.dart';

class Auth {
  Core core = Core();

  Future<Response> signUp(AuthOptions options) async {
    if (options.email != null && options.email!.isNotEmpty) {
      final result = await core.makeRequest("Auth/signup", options.toJson());

      return Response.fromJson(result!);
    } else {
      final response = Response(success: false, message: "Invalid Email");

      return response;
    }
  }

  Future<Response> signIn(AuthOptions options) async {
    if (options.email != null && options.email!.isNotEmpty) {
      final result = await core.makeRequest("Auth/signIn", options.toJson());

      return Response.fromJson(result!);
    } else {
      final response = Response(success: false, message: "Invalid Email");

      return response;
    }
  }

  Future<Response> confirmUser(AuthOptions options) async {
    if (options.code != null && options.code!.isNotEmpty) {
      final result =
          await core.makeRequest("Auth/confirmUser", options.toJson());

      return Response.fromJson(result!);
    } else {
      final response = Response(success: false, message: "Invalid Code");

      return response;
    }
  }
}
